Borrador Linea

From FreeCAD Documentation
Revision as of 19:58, 6 May 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Linea

Ubicación en el Menú
Croquis → Línea
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
L I
Introducido en versión
-
Ver también
Contorno

Description

Descripción

La herramienta de Línea crea un segmento recto de línea entre dos puntos. Toma el tipo de línea y color previamente establecido. La herramienta de Línea se comporta exactamente igual que la herramienta Línea del módulo de boceto, excepto porque utiliza sólo dos puntos.

Usage

Cómo utilizarla

  1. Presiona el botón de la herramienta de Línea o pulsa las teclas L y I
  2. Indica un primer punto en la vista 3D, o escribe sus coordenadas
  3. Indica un segundo punto en la vista 3D, o escribe sus coordenadas

The line can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the points to a new position.

Fusing single lines

If several connected Draft Lines are selected they can be fused into a wire by pressing the Draft Upgrade tool; however, this wire will not be editable. To create an editable wire, use Draft Upgrade three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the Draft Wire tool.

Note: A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the add point button, and click anywhere on the line.

Opciones

  • Presiona X, Y o Z después del primer punto para restringir el segundo punto de un eje dado.
  • Para introducir coordenadas manualmente, simplemente introduce el número y presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o pulsa el checkbox para activar o desactivar el modo Relativo. Si está activado el modo relativo, las coordenadas del segundo punto serán relativas al primero. En caso contrario, serán absolutas, a partir del punto de origen (0,0,0).
  • Presiona T o pulsa el checkbox para activar o desactivar el modo Continuo. Si está activado el modo continuo, la herramienta de Línea se reiniciará después de que indiques el segundo punto, permitiendo que dibujes otro segmento de línea sin presionar el icono de Línea de nuevo.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a las ubicaciones de ajuste más cercanas, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu segundo punto horizontal o verticalmente en relación al primer punto.
  • Presiona CTRL+Z o presiona el icono Undo para deshacer el último punto.
  • Presiona ESC o el icono Cancel para cancelar el comando Línea actual.
  • Si se seleccionan Draft Lineas conectadas, se pueden transformar en un cable presionando el botón Draft Upgrade.

Propiedades

  • DATOSInicio: El punto de Inicio
  • DATOSFin: El punto final
  • DATOSSubdivisions: Divide la línea con el número dado de subdivisiones introducido en la versión 0.16

Data

  • DatosStart: specifies the start point.
  • DatosEnd: specifies the end point.
  • DatosSubdivisions: specifies the number of interior nodes in the line. introduced in version 0.16
  • DatosLength: (read-only) specifies the length of the segment.

View

  • VistaEnd Arrow: if it is true it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • VistaArrow Size: specifies the size of the symbol displayed at the end of the line.
  • VistaArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Archivos de guión

La herramienta Línea se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

The Line tool can be used in macros and from the Python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crea objeto Line entre dos puntos p1 and p2, cada uno definido como FreeCAD.Vector
  • Crea objeto Line a partir de Part.LineSegment
  • Crea objeto Line que va del primer vértice al último vértice de Shape
  • El estilo de línea actual será usado

Ejemplo:

import FreeCAD as App
import Draft

_doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
_doc.recompute()